Page MenuHomePhabricator

Opening the maps dialog causes a change in the maps node attributes
Closed, ResolvedPublic

Description

On clicking on a map to edit it, the dialog opens with the "Apply changes" action enabled, if the GeoJSON input is empty. It is then possible to click on "Apply changes" to close the dialog, and then click on "Save", even though no edit was made.

Event Timeline

Tchanders created this task.Oct 8 2018, 4:27 PM

Change 465193 had a related patch set uploaded (by Tchanders; owner: Tchanders):
[mediawiki/extensions/VisualEditor@master] Don't add body attribute to an extension node with an empty body

https://gerrit.wikimedia.org/r/465193

Tchanders updated the task description. (Show Details)Oct 8 2018, 4:54 PM

Change 465193 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Don't add body attribute to an extension node with an empty body

https://gerrit.wikimedia.org/r/465193

This comment was removed by Ryasmeen.
Aklapper changed the edit policy from "Custom Policy" to "All Users".Oct 10 2018, 6:37 AM
Deskana closed this task as Resolved.Oct 11 2018, 3:10 PM
Deskana triaged this task as Low priority.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptOct 11 2018, 3:10 PM